package eu.jonahbauer.wizard.common.messages.server;

import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

import java.util.UUID;

@Getter
@RequiredArgsConstructor
@EqualsAndHashCode(callSuper = true)
public final class SessionRemovedMessage extends ServerMessage {
    /**
     * {@link UUID} of leaving player
     */
    private final UUID player;
}
