package eu.jonahbauer.wizard.common.messages.data;

import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

import java.util.UUID;

@Getter
@RequiredArgsConstructor
@EqualsAndHashCode
public class PlayerData {
    /**
     * UUID of corresponding player
     */
    private final UUID id;
    /**
     * name of corresponding player
     */
    private final String name;
    /**
     * readyState of corresponding player
     */
    private final boolean ready;
}
