package eu.jonahbauer.wizard.common.messages.data;

import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

import java.util.UUID;

@Getter
@RequiredArgsConstructor
@EqualsAndHashCode
public class SessionData {
    /**
     * uuid of corresponding session
     */
    private final UUID uuid;
    /**
     * name of corresponding session
     */
    private final String name;
    /**
     * number of players in the corresponding session
     */
    private final int playerCount;
}
