package eu.jonahbauer.wizard.common.messages.server;

import eu.jonahbauer.wizard.common.messages.data.PlayerData;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

import java.util.UUID;

@Getter
@RequiredArgsConstructor
@EqualsAndHashCode(callSuper = true)
public final class JoinedSessionMessage extends ServerMessage {
    /**
     * uuid of joined session
     */
    private final UUID session;
    /**
     * Reference to data of joined player
     */
    private final PlayerData playerData;
}
